dotsshmount vsys script. to be used on omf enabled slices
Barış Metin [Thu, 24 Jun 2010 11:03:24 +0000 (11:03 +0000)]
exec/dotsshmount [new file with mode: 0755]

diff --git a/exec/dotsshmount b/exec/dotsshmount
new file mode 100755 (executable)
index 0000000..84cb2f3
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/sh
+SRC="/home/$1/.ssh/"
+DEST="/vservers/$1/dot_ssh"
+
+mkdir -p $DEST &> /dev/null
+
+mount | grep "on $DEST type" > /dev/null
+if [ $? -ne 0 ]; then
+   /bin/mount --bind -o ro $SRC $DEST > /dev/null
+fi
+